Zend Optimizer for Php 5.3.0

General discussion on Zend Guard / Optimizer

Zend Optimizer for Php 5.3.0

Postby diammo on Fri Jul 03, 2009 9:29 am

Do it is avaible a Zend Optimizer for Php 5.3.0 version?
diammo
 
Posts: 1
Joined: Fri Jul 03, 2009 9:28 am

Re: Zend Optimizer for Php 5.3.0

Postby kentatzend on Sat Jul 04, 2009 1:54 am

We plan to release a zend guard and runtime for php 5.3 later this year.
User avatar
kentatzend
 
Posts: 1778
Joined: Thu Dec 11, 2008 1:08 pm

Re: Zend Optimizer for Php 5.3.0

Postby joomx on Mon Sep 14, 2009 11:37 am

Just a short question: while php 5.3 is now the latest stable, official release and out now since a while, when do you think will be a compatible release published?
It is - very - boring, to develop and if the need for ioncube is given, switch back to php v.5.2.x!

Finally, this year will be over in 3 months ....

thx
joomx
 
Posts: 8
Joined: Mon Sep 14, 2009 11:35 am

Re: Zend Optimizer for Php 5.3.0

Postby cbrugh on Tue Sep 15, 2009 4:39 pm

Does anyone know if Zend Optimizer has been released for PHP 5.3 yet?
cbrugh
 
Posts: 1
Joined: Tue Sep 15, 2009 4:38 pm

Re: Zend Optimizer for Php 5.3.0

Postby kentatzend on Tue Sep 15, 2009 6:54 pm

Not yet.

The problem is that as we looked into this it is simply not just Optimizer that needs to be updated but also Zend Guard. Zend Guard does not support PHP 5.3 and it appear that php 5.2 code that is encoded with Guard will not run properly in Optimizer/php5.3. So even if we released optimizer it probably would not work.

We need to build a new version of Guard & Optimizer that supports PHP 5.3 and ... then people will need to re-encode/obfuscate with the new Guard to run on PHP 5.3.

So this is taking some time due to low level incompatibility that end users of PHP would never see but are important for stuff like this. Please bear with us as we update this product.
User avatar
kentatzend
 
Posts: 1778
Joined: Thu Dec 11, 2008 1:08 pm

Re: Zend Optimizer for Php 5.3.0

Postby joomx on Tue Sep 15, 2009 7:22 pm

It seems that php 5.3 was published only a few days ago.
While it is since many months!

For me - as a php developer - i do not need any encoder/obfuscator.
But there are some vendors out there, which are thinking they only can protect their software with this methode.
Instead of giving strong support - but this is another issue.

Our customers are those 'poor' gyus.
They bought this piece of ?? and i have to see that the systems are running also under 5.3

I am just wondering what you want do, when php 6.x is published once?
Same procedure as last year?
joomx
 
Posts: 8
Joined: Mon Sep 14, 2009 11:35 am

Re: Zend Optimizer for Php 5.3.0

Postby jcharles7272 on Sat Oct 03, 2009 4:36 pm

ioncube just released a module to run encoded files on PHP 5.3. Maybe your script provider has an ion version that you can install instead?
jcharles7272
 
Posts: 3
Joined: Sat Oct 03, 2009 4:26 pm

Re: Zend Optimizer for Php 5.3.0

Postby halinab on Fri Oct 09, 2009 12:19 am

Well it seems as though there is no 64bit version of the optimiser for 5.3php non thread safe - seems the problem is that zend optimiser won't run in a windows 2008 x64 bit 5.3php non thread safe version - from my hours of ressearching on the net forums. I'm not willing to roll back to get an application to work.
any ideas? oh and its fastcgi too not the isapi version.I am running in 32bit iis7.0 compatibility mode anyways.
When will you release a 5.3 version?
halinab
 
Posts: 4
Joined: Thu Oct 08, 2009 12:30 pm

Re: Zend Optimizer for Php 5.3.0

Postby halinab on Fri Oct 09, 2009 12:23 am

This is from ioncube support -
Sadly you have everything that's incompatible with what you need to do.

Firstly, our products are separate to Zend, who make products that aim to compete with our own offerings. So unfortunately we can't offer anything that can process your Zend encoded files.

And for now, neither do Zend for your setup as you've found. The word in the Zend forums is that Zend will be unable to support already encoded scripts on PHP 5.3, and that scripts will need to be re-encoded with a new, as yet unreleased, version of Zend guard. Zend also have no zend optimiser for 64 bit windows. So your platform isn't suitable. As an aside, Zend are also dropping support for FreeBSD, despite it's popularity (including, ironically, with php.net).

For our Encoder product we have recently released a Loader for PHP 5.3 users on Linux x86, and the Loader can run existing ionCube encoded PHP 5 files, and even most PHP 4 files. We'll be releasing this for other platforms soon, including Windows, although we too do not offer a Loader for 64 bit Windows yet.

If you need PHP 5.3, you could ask the providers of the scripts to provide you with an ionCube encoded version; they may not use our product yet, but it's something that they may want to consider going forward. For the 64 bit issue, you could perhaps run a 32 bit Apache installation or use IIS's 32 bit compatibility mode.

Best regards
Nick
--
ionCube Support
halinab
 
Posts: 4
Joined: Thu Oct 08, 2009 12:30 pm

Re: Zend Optimizer for Php 5.3.0

Postby joomx on Fri Oct 09, 2009 1:52 pm

If you need PHP 5.3, you could ask the providers of the scripts to provide you with an ionCube encoded version; they may not use our product yet, but it's something that they may want to consider going forward. For the 64 bit issue, you could perhaps run a 32 bit Apache installation or use IIS's 32 bit compatibility mode.

Poor all those guys who bought products encoded and need ioncube now.
But wasting money seems to be 'modern'.

But also poor the ioncube company.
The only advice they have to use 'old' or not wanted modes!

Guess they want to make more money?!

As a result: never trust properitary protocolls / products / ... once you will be alone ...
joomx
 
Posts: 8
Joined: Mon Sep 14, 2009 11:35 am

Next

Return to Zend Guard / Optimizer

Who is online

Users browsing this forum: No registered users and 3 guests